CREATE TABLE cz_model_tmp_sessiondata (
    SESSION_ID                  VARCHAR2(128) ,
    WORKSPACE_ID                NUMBER(18, 0) ,
    ROOT_MODEL_ID               NUMBER(18, 0) ,
    ROOT_MODEL_VERSION          NUMBER(18, 0) ,
    REFD_BOM_MODEL_NODE_PATH    VARCHAR2(4000),
    SUPL_MREF_NODE_ID           NUMBER(18, 0) ,
    ROW_TYPE                    VARCHAR2(120)     NOT NULL,
    GROUPING_MODEL_ID           NUMBER(18, 0) ,
    GROUPING_MODEL_VERSION      NUMBER(18, 0) ,
    REFERRING_MODEL_ID          NUMBER(18, 0) ,
    REFD_MODEL_ID               NUMBER(18, 0) ,
    REFD_MODEL_VERSION          NUMBER(18, 0) ,
    REFD_MODEL_BASE_VERSION     NUMBER(18, 0) ,
    SUPL_MREF_NODE_START_VER    NUMBER(18, 0) ,
    SUPL_MREF_NODE_END_VER      NUMBER(18, 0) ,
    IS_EFFECTIVE                VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    SESSION_ID                  VARCHAR2(128) ,
    WORKSPACE_ID                NUMBER(18, 0) ,
    ROOT_MODEL_ID               NUMBER(18, 0) ,
    ROOT_MODEL_VERSION          NUMBER(18, 0) ,
    REFD_BOM_MODEL_NODE_PATH    VARCHAR2(4000),
    SUPL_MREF_NODE_ID           NUMBER(18, 0) ,
    ROW_TYPE                    VARCHAR2(120)     NOT NULL,
    GROUPING_MODEL_ID           NUMBER(18, 0) ,
    GROUPING_MODEL_VERSION      NUMBER(18, 0) ,
    REFERRING_MODEL_ID          NUMBER(18, 0) ,
    REFD_MODEL_ID               NUMBER(18, 0) ,
    REFD_MODEL_VERSION          NUMBER(18, 0) ,
    REFD_MODEL_BASE_VERSION     NUMBER(18, 0) ,
    SUPL_MREF_NODE_START_VER    NUMBER(18, 0) ,
    SUPL_MREF_NODE_END_VER      NUMBER(18, 0) ,
    IS_EFFECTIVE                VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    CONSTRAINT pk_cz_model_tmp_sessiondata PRIMARY KEY (SESSION_ID, WORKSPACE_ID, ROOT_MODEL_ID, ROOT_MODEL_VERSION, REFD_BOM_MODEL_NODE_PATH, SUPL_MREF_NODE_ID, SESSION_ID, WORKSPACE_ID, ROOT_MODEL_ID, ROOT_MODEL_VERSION, REFD_BOM_MODEL_NODE_PATH, SUPL_MREF_NODE_ID)
);
